Skip to main content
GET
/
api
/
jobs
List Jobs Route
curl --request GET \
  --url https://api.example.com/api/jobs
{
  "total": 123,
  "jobs": [
    {
      "jid": "<string>",
      "function": "<string>",
      "target": "<string>",
      "target_type": "<string>",
      "user": "<string>",
      "start_time": "<string>",
      "status": "complete"
    }
  ],
  "last_polled_at": "2023-11-07T05:31:56Z",
  "active_known": false
}

Documentation Index

Fetch the complete documentation index at: https://www.halite-app.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 500
live
boolean
default:false

Response

Successful Response

total
integer
required
jobs
JobSummary · object[]
required
last_polled_at
string<date-time> | null
active_known
boolean
default:false